Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj
Class NormalizedSyncObject

    java.lang.Object
      local.tomas.mobile.sync.obj.NormalizedSyncObject

All Implemented Interfaces:
  SyncObject

    public class NormalizedSyncObject

extends java.lang.Object
implements SyncObject

Field Summary
`static java.lang.String` | `LAST_MODIFICATION_TIME`
`static java.lang.String` | `NAME`
`static java.lang.String` | `UID`

Constructor Summary
`NormalizedSyncObject()`

Method Summary
`
`<T> T`
` | `getAttribute(java.lang.String name, java.lang.Class<T> type)`
`java.sql.Timestamp` | `getLastModificationTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getUID()`
`
`<T> void`
` | `setAttribute(java.lang.String name, T value, java.lang.Class<T> type)`
`void` | `setName(java.lang.String name)`
`void` | `setUID(java.lang.String uid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### UID

    public static final java.lang.String UID

See Also:
  Constant Field Values

### LAST_MODIFICATION_TIME

    public static final java.lang.String LAST_MODIFICATION_TIME

See Also:
  Constant Field Values

Constructor Detail

### NormalizedSyncObject

    public NormalizedSyncObject()

Method Detail

### getAttribute

    public <T> T getAttribute(java.lang.String name,
                              java.lang.Class<T> type)

  Specified by:
    `getAttribute` in interface `SyncObject`

### setAttribute

    public <T> void setAttribute(java.lang.String name,
                                 T value,
                                 java.lang.Class<T> type)

  Specified by:
    `setAttribute` in interface `SyncObject`

### getLastModificationTime

    public java.sql.Timestamp getLastModificationTime()

  Specified by:
    `getLastModificationTime` in interface `SyncObject`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SyncObject`

### setName

    public void setName(java.lang.String name)

### getUID

    public java.lang.String getUID()

  Specified by:
    `getUID` in interface `SyncObject`

### setUID

    public void setUID(java.lang.String uid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.